Page MenuHomePhabricator

MWContentSerializationException: Failed to decode blob. It should be JSON representing valid Flow metadata.
Closed, DuplicatePublic

Description

Spotted in production:

#0 /srv/mediawiki/php-1.30.0-wmf.1/includes/Revision.php(1100): Flow\Content\BoardContentHandler->unserializeContent(string, string)
#1 /srv/mediawiki/php-1.30.0-wmf.1/includes/Revision.php(1063): Revision->getContentInternal()
#2 /srv/mediawiki/php-1.30.0-wmf.1/includes/page/WikiPage.php(666): Revision->getContent(integer, NULL)
#3 /srv/mediawiki/php-1.30.0-wmf.1/extensions/Flow/includes/WorkflowLoaderFactory.php(77): WikiPage->getContent()
#4 /srv/mediawiki/php-1.30.0-wmf.1/extensions/Flow/includes/Actions/Action.php(105): Flow\WorkflowLoaderFactory->createWorkflowLoader(Title)
#5 /srv/mediawiki/php-1.30.0-wmf.1/extensions/Flow/includes/Actions/ViewAction.php(20): Flow\Actions\FlowAction->showForAction(string, OutputPage)
#6 /srv/mediawiki/php-1.30.0-wmf.1/extensions/Flow/includes/Actions/Action.php(50): Flow\Actions\ViewAction->showForAction(string)
#7 /srv/mediawiki/php-1.30.0-wmf.1/includes/MediaWiki.php(499): Flow\Actions\FlowAction->show()
#8 /srv/mediawiki/php-1.30.0-wmf.1/includes/MediaWiki.php(293): MediaWiki->performAction(Article, Title)
#9 /srv/mediawiki/php-1.30.0-wmf.1/includes/MediaWiki.php(862): MediaWiki->performRequest()
#10 /srv/mediawiki/php-1.30.0-wmf.1/includes/MediaWiki.php(523): MediaWiki->main()
#11 /srv/mediawiki/php-1.30.0-wmf.1/index.php(43): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include(string)
#13 {main}

Details

Related Gerrit Patches:

Event Timeline

demon created this task.May 22 2017, 11:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Apparently NewUserMessage is what's creating these broken pages.

Apparently NewUserMessage is what's creating these broken pages.

Not anymore. I disabled the extension. I think I need to revert the patch from T154623: Workflow ID null for some user talk pages on gomwiki, though.

You're right, the cases I looked at are all old-ish, from late 2016.

Change 357445 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/extensions/Flow@master] Revert "Throw when unserializing invalid Flow workflow metadata JSON"

https://gerrit.wikimedia.org/r/357445

Change 357445 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Revert "Throw when unserializing invalid Flow workflow metadata JSON"

https://gerrit.wikimedia.org/r/357445

Change 357500 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/extensions/Flow@wmf/1.30.0-wmf.2] Revert "Throw when unserializing invalid Flow workflow metadata JSON"

https://gerrit.wikimedia.org/r/357500

Change 357501 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/extensions/Flow@wmf/1.30.0-wmf.4] Revert "Throw when unserializing invalid Flow workflow metadata JSON"

https://gerrit.wikimedia.org/r/357501

Change 357501 merged by jenkins-bot:
[mediawiki/extensions/Flow@wmf/1.30.0-wmf.4] Revert "Throw when unserializing invalid Flow workflow metadata JSON"

https://gerrit.wikimedia.org/r/357501

Change 357500 merged by jenkins-bot:
[mediawiki/extensions/Flow@wmf/1.30.0-wmf.2] Revert "Throw when unserializing invalid Flow workflow metadata JSON"

https://gerrit.wikimedia.org/r/357500

Mentioned in SAL (#wikimedia-operations) [2017-06-06T23:58:23Z] <thcipriani@tin> Synchronized php-1.30.0-wmf.4/extensions/Flow/includes/Content/BoardContentHandler.php: SWAT: [[gerrit:357501|Revert "Throw when unserializing invalid Flow workflow metadata JSON"]] T166100 T156813 (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2017-06-06T23:59:43Z] <thcipriani@tin> Synchronized php-1.30.0-wmf.2/extensions/Flow/includes/Content/BoardContentHandler.php: SWAT: [[gerrit:357500|Revert "Throw when unserializing invalid Flow workflow metadata JSON"]] T166100 T156813 (duration: 00m 43s)

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM